package com.usoft.fin.grpc.dal.entity;

/**
 * <pre>
 * 提款申请记录订单信息
 * 表名 : t_draw_apply_order
 * </pre>
 * @author: Mybatis Generator
 */
public class DrawApplyOrder {
    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order.id
     * </pre>
     */
    private Integer id;

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order.code
     * </pre>
     */
    private String code;

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_draw_apply_order.draw_code
     * </pre>
     */
    private String drawCode;

    /**
     * <pre>
     * 订单金额
     * 表字段 : t_draw_apply_order.amount
     * </pre>
     */
    private Double amount;

    /**
     * <pre>
     * 客户名称
     * 表字段 : t_draw_apply_order.customer_name
     * </pre>
     */
    private String customerName;

    /**
     * <pre>
     * 订单日期
     * 表字段 : t_draw_apply_order.order_date
     * </pre>
     */
    private String orderDate;

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order.id
     * </pre>
     */
    public Integer getId() {
        return id;
    }

    /**
     * <pre>
     * id
     * 表字段 : t_draw_apply_order.id
     * </pre>
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order.code
     * </pre>
     */
    public String getCode() {
        return code;
    }

    /**
     * <pre>
     * 订单编号
     * 表字段 : t_draw_apply_order.code
     * </pre>
     */
    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_draw_apply_order.draw_code
     * </pre>
     */
    public String getDrawCode() {
        return drawCode;
    }

    /**
     * <pre>
     * 提款申请记录编号
     * 表字段 : t_draw_apply_order.draw_code
     * </pre>
     */
    public void setDrawCode(String drawCode) {
        this.drawCode = drawCode == null ? null : drawCode.trim();
    }

    /**
     * <pre>
     * 订单金额
     * 表字段 : t_draw_apply_order.amount
     * </pre>
     */
    public Double getAmount() {
        return amount;
    }

    /**
     * <pre>
     * 订单金额
     * 表字段 : t_draw_apply_order.amount
     * </pre>
     */
    public void setAmount(Double amount) {
        this.amount = amount;
    }

    /**
     * <pre>
     * 客户名称
     * 表字段 : t_draw_apply_order.customer_name
     * </pre>
     */
    public String getCustomerName() {
        return customerName;
    }

    /**
     * <pre>
     * 客户名称
     * 表字段 : t_draw_apply_order.customer_name
     * </pre>
     */
    public void setCustomerName(String customerName) {
        this.customerName = customerName == null ? null : customerName.trim();
    }

    /**
     * <pre>
     * 订单日期
     * 表字段 : t_draw_apply_order.order_date
     * </pre>
     */
    public String getOrderDate() {
        return orderDate;
    }

    /**
     * <pre>
     * 订单日期
     * 表字段 : t_draw_apply_order.order_date
     * </pre>
     */
    public void setOrderDate(String orderDate) {
        this.orderDate = orderDate == null ? null : orderDate.trim();
    }
}